INCLUDES = -I$(srcdir)/.. \
           -I$(srcdir)/../engine \
	   -I$(srcdir)/../misc/interfaces \
	   -I$(top_builddir) \
	   -I$(top_builddir)/kftpgrabber/src \
	   $(all_includes)
	   
METASOURCES = AUTO
noinst_LIBRARIES =  libkftpgrabbercore.a
libkftpgrabbercore_a_SOURCES = misc.cpp 			 kftpotpgenerator.cpp 			 \
	kftpapi.cpp 			 desencryptor.cpp 			 kftpwalletconnection.cpp 			 \
	kftppluginmanager.cpp 			 \
	kftpzeroconf.cpp 			 config.kcfgc 			 configbase.cpp filter.cpp \
	filterwidgethandler.cpp
		
libkftpgrabbercore_a_LIBADD = interfaces/libkftpinterfaces.la customcommands/libcustomcommands.a

kde_kcfg_DATA = kftpgrabber.kcfg
			      
noinst_HEADERS = misc.h 		 kftpotpgenerator.h 		 kftpapi.h 		 desencryptor.h 		 \
	kftpwalletconnection.h 		 kftppluginmanager.h 		 kftpzeroconf.h 		 \
	configbase.h filter.h filterwidgethandler.h

SUBDIRS = interfaces plugins libs customcommands

